# $Revision: 1.22.2.5 $, $Date: 2007/04/01 16:41:02 $
# TODO
# - unfortunately it crashes in weed_plugin_info_init (alien_overlay.wo)
# - some platform-independent left in %{_libdir}

%define		_sname		lives

Summary:	LiVES - the Linux Video Editing System
Summary(pl):	LiVES - Linuksowy System Edycji Video
Name:		LiVES
Version:	0.9.8.4
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://www.xs4all.nl/%7Esalsaman/lives/current/%{name}-%{version}.tar.bz2
# Source0-md5:	585f7a8d8a3e2b71a886fc04de3a79a3
Source1:	%{name}.desktop
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-automake.patch
URL:		http://www.xs4all.nl/~salsaman/lives/
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libvisual-devel
BuildRequires:	mjpegtools-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	ImageMagick >= 5
Requires:	ffmpeg
Requires:	mplayer >= 0.90rc1
Requires:	ogmtools
Requires:	perl-base
Requires:	python >= 1:2.3
Requires:	sox
Requires:	transcode
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# workaround for the next change
%define		_localedir	%{_usr}/share/locale
# platform-dependent plugins in %{_datadir}
%define		_datadir	%{_libdir}
%define		_themesdir	%{_datadir}/%{_sname}/themes
# shared objects without .so (e.g. SDL), which we don't want to provide
%define		_noautoprovfiles	^%{_datadir}/%{_sname}/.*

%description
LiVES began as the Linux Video Editing System. Since it now runs on
more operating systems, LiVES is a Video Editing System. It is
designed to be simple to use, yet powerful. It is small in size, yet
it has many advanced features.

%description -l pl
LiVES zaczyna jako Linuksowy System Edycji Video. Obecnie mona
rwnie uruchomi go na wikszej liczbie systemw operacyjnych.
Zaprojektowany zosta tak, by by zarwno prostym w uyciu jak
i mimo niewielkiego rozmiaru posiada zaawansowane funkcje.

%package plugins
Summary:	Plugins for LiVES
Summary(pl):	Wtyczki dla LiVES
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description plugins
Plugins for LiVES.

%description plugins -l pl
Wtyczki (plugins) dla LiVES.

%package themes
Summary:	Themes for LiVES
Summary(pl):	Motywy dla LiVES
Group:		Themes/GTK+
Requires:	%{name} = %{version}-%{release}

%description themes
Themes for LiVES.

%description themes -l pl
Motywy dla LiVES.

%prep
%setup -qn %{_sname}-%{version}
%patch0 -p1
%patch1 -p1

# wrrr
sed -i -e 's,/share/,/%{_lib}/,' po/pxgettext po/make_rfx_builtin_list.pl

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
# hack: DATADIRNAME defined too late in configure
%configure \
	DATADIRNAME=share
%{__make} \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_datadir}/lives/plugins/effects/rendered
for i in lives-plugins/plugins/effects/RFXscripts/*.script ; do
	./build-lives-rfx-plugin $i $RPM_BUILD_ROOT%{_datadir}/lives/plugins/effects/rendered
done

# hack: override localedir because of redefined datadir
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_localedir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_docdir}/%{_sname}-%{version} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

mv -f $RPM_BUILD_ROOT%{_localedir}/de{_DE,}
mv -f $RPM_BUILD_ROOT%{_localedir}/nl{_NL,}

%find_lang %{_sname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{_sname}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FEATURES GETTING.STARTED NEWS RFX OMC
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{_sname}
%{_datadir}/%{_sname}/icons
%{_datadir}/%{_sname}/default.keymap
%{_desktopdir}/%{name}.desktop
%dir %{_themesdir}
%{_themesdir}/default

%files themes
%defattr(644,root,root,755)
%{_themesdir}/camera
%{_themesdir}/cutting_room
%{_themesdir}/greenish
%{_themesdir}/pinks
%{_themesdir}/sunburst
%{_themesdir}/editor

%files plugins
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/%{_sname}/plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: LiVES.spec,v $
Revision 1.22.2.5  2007/04/01 16:41:02  glen
- 0.9.8.4 from HEAD

Revision 1.22.2.4  2007/03/12 11:27:52  glen
- odd build failure from am 1.10

Revision 1.22.2.3  2007/03/12 07:51:26  glen
- 0.9.6

Revision 1.22.2.2  2006/05/21 21:44:47  freetz
- cleaned up

Revision 1.22.2.1  2006/05/21 15:11:40  freetz
- updated to stable 0.9.5, DESTDIR patch already inculeded

Revision 1.22  2005/11/02 01:58:14  ankry
- build fixes, rel. .4

Revision 1.21  2005/11/01 21:53:31  ankry
- locale fixes, rel. .3

Revision 1.20  2005/10/26 10:16:15  qboosh
- kill unwanted Provides using _noautoprovfiles
- move arch-dependent files to %{_libdir} (at the cost of having some
  arch-independent files there)

Revision 1.19  2005/10/25 22:39:22  glen
- imho wrong deps. please remove todo if it's not

Revision 1.18  2005/09/13 13:26:00  freetz
- 0.9.5 beta4, DESTDIR patch added

Revision 1.17  2005/06/14 19:09:36  zbyniu
- BR: libtool

Revision 1.16  2005/04/10 11:39:47  charles
- rm Patch1

Revision 1.15  2005/04/10 11:35:14  charles
- updated to 0.9.5 pre3
- rm -plugins-python.patch (obsolete)
- ac/am
- -Makefile.in.patch -> -Makefile.am.patch

Revision 1.14  2005/03/16 18:16:25  qboosh
- removed some braindamage and redundant BRs; added BR: libvisual-devel

Revision 1.13  2005/03/16 14:54:23  sardzent
- cleanup with Requires, BuildRequires
- works at amd64

Revision 1.12  2005/03/16 13:52:07  sardzent
- fixed Requires

Revision 1.11  2005/03/16 12:48:11  sardzent
- addes Requires (pasted from doc)

Revision 1.10  2005/03/08 08:46:57  jasw
- up to 0.9.5-pre1

Revision 1.9  2004/12/20 02:34:41  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.8  2004/11/26 18:04:06  qboosh
- missing dirs, cosmetics

Revision 1.7  2004/11/26 12:50:59  saq
- python 2.3 was epoch 1

Revision 1.6  2004/11/26 11:04:47  paladine
- cosmetics
- sorted BRs/Rs
- added R: python >= 2.3
- removed redundant '/' from install
- gpm-friendly Source0 URL
- fixed desktop patch
- rel 0.pre.2

Revision 1.5  2004/11/25 20:25:33  snurf
- sync en and pl descs

Revision 1.4  2004/11/25 20:18:58  snurf
- cosmetics

Revision 1.3  2004/11/25 19:41:52  adamg
- make use of %%find_lang
- added missing commitlog

Revision 1.2  2004/11/25 19:39:01  adamg
- spaces->tabs
- removed trailing spaces, unecessary blank lines
- reformated description to wrap after 70th column
- added Log CVS keyword

Revision 1.1  2004/11/25 19:15:37  jasw
- initial version
